#share-modal {
    display: none;
    width: 100%;
    height: 100%;
    position: fixed;
    z-index: 200;
    top: 0;
    left: 0;
    overflow: auto;
    background: rgba(0,0,0,.9);
}

#share-modal.visible {
    display: block;
}

@supports (transform: scale(0)){
    
    #share-modal {
        display: block;
        transform: scale(0);
        transition: .1s linear;
    }
    
    #share-modal.visible {
        transform: scale(1);
    }
    
}

#exit-share-modal {
    display: block;
    width: 50px;
    height: 50px;
    position: absolute;
    z-index: 20;
    top: 10px;
    left: 10px;
    background: transparent;
    border: 0;
    outline: 0;
    transition: .2s linear;
}

#exit-share-modal:active {
    transform: scale(1.2);
}

#exit-share-modal svg {
    display: block;
    width: 25px;
    height: 25px;
    margin: 0 auto;
}

#exit-share-modal polyline {
    fill: none;
    stroke: #fff;
    stroke-width: 2;
}

#share-modal .bg {
    display: block;
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 1;
    top: 0;
    left: 0;
}

#share-modal section {
    display: block;
    width: 300px;
    background: #fff;
    border-radius: 4px;
    overflow: hidden;
    position: relative;
    z-index: 10;
    top: 50%;
    margin: -120px auto 0 auto;
}

#share-modal a {
    display: block;
    width: 100%;
    line-height: 60px;
    text-align: center;
    font-family: Poppins-Regular, sans-serif;
    color: #777;
    font-weight: normal;
    font-size: 13px;
    border-bottom: 1px solid #ddd;
}

#share-modal a.mobile-only {
    display: none;
}

@media only screen and (max-width: 1000px){
    
    #share-modal section {
        margin: -150px auto 0 auto;
    }
    
    #share-modal a.mobile-only {
        display: block;
    }
    
}

@media only screen and (max-width: 400px){
    
    #share-modal section {
        width: 80%;
    }
    
}

@media only screen and (max-height: 400px){
    
    #exit-share-modal {
        position: relative;
        top: 0;
        left: 0;
        margin: 20px auto;
    }
    
    #share-modal section {
        width: 80%;
        top: 0;
        margin: 0 auto 20px auto;
    }
    
}